octonet - Segnalazione #248

in Octonet manca la scheda "Quota"
05/05/2017 12:39 PM - Paolo Baratta

Status: Chiuso Start date: 05/05/2017
Priority: Alta Due date:

Assignee: Paolo Baratta % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Buon giorno.

Ho eseguito l'installazione del server segento quanto previsto dal preseed.Ho poi collegato un nuovo disco virtuale, I'no formattato
ext4 e I'no configurato in fstab per ospitare la home (vedi schermata di octonet che riconosce la presenza dei due File System.
Nonostante abbia configurato correttamente le quote per la /home (vedi schermata con esito positivo del comando "repquota
/home"), non compare la scheda quota nei link di Octonet.

Ho attivato la modalita debug e sotto trovate I'esito di Firebug:

Environment:

Request Method: GET
Request URL: http://localhost:13402/quota/

Django Version: 1.8.16

Python Version: 3.4.2

Installed Applications:

['django.contrib.sessions’,
'django.contrib.messages',
'‘whitenoise.runserver_nostatic',
'django.contrib.staticfiles',

'octonet’,

'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',

'dhcp.apps.Dhep’,
'dansguardian.apps.DansGuardian’,
'host.apps.Host',

'polygen.apps.Polygen’,

'upgrade.apps.Upgrade’,

'asterisk.apps.Asterisk’,

'samba.apps.Samba’,

'users.apps.Users',

'script.apps.Script',

'quota.apps.Quota’,

'printers.apps.Printers’,

'auth.apps.Auth']

Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware’,
'django.middleware.common.CommonMiddleware’,
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware’,
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:

File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response

132. response = wrapped_callback(request, callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view

71. return self.dispatch(request, *args, **kwargs)

File "/usr/share/octonet/octonet/mixins.py" in dispatch

105. return super().dispatch(request, *args, **kw)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch

89. return handler(request, *args, **kwargs)

File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in get
158. context = self.get_context_data(*kwargs)

File "/usr/share/octonet/quota/views.py" in get_context_data

13. quota_filesystems = self.root_tree.llist(["quota"])

File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py" in llist

106. return self._wrap_call(self.server.list, "/".join(path))

File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py" in _wrap_call

78. raise exception_serializer.from_dict(res["exc"])

Exception Type: KeyError at /quota/
Exception Value: "path /quota does not exist™

History

#1 - 05/05/2017 12:40 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee set to Paolo Baratta

Ciao Paolo, potresti provare a riavviare il servizio octofussd?

# systemctl restart octofussd.service

e riprovare?

#2 - 05/05/2017 12:50 PM - Paolo Baratta

Non sono pit in modalita debug (se serve posso riattivarla). Anche dopo il riavvio del servizio la scheda "Quota" non compare. Se "forzo" I'apertura
della pagina inserendo I'url localhost:13402/quota/ va in crash (Service temporarily unavailable)

#3 - 05/05/2017 01:17 PM - Paolo Dongilli

- Assignee changed from Paolo Baratta to Christopher R. Gabriel

#4 - 05/08/2017 11:33 AM - Paolo Baratta

Ciao Christofer

Oggi ho creato un nuovo server, ma anziché aggiungere un nuovo disco sul quale "mappare" la /home, ho alterato la tabella delle partizioni durante
I'installazione del server. Ho eliminato il partizionamento previsto dal preseed e I'ho ricreato ex novo con tre partizioni: root; home e swap. Cosi
facendo il plugin "Disk Quotas" & comparso e sembra funzionare correttamente.

Facendo altre prove con il server precedente, mi ero accorto perd che anche la sezione "Samba Service" andava in crash. Questo succede anche
con il server appena ricreato. Apro una nuova segnalazione??? Avrei gia l'esito del debug....

Paolo

#5 - 05/08/2017 11:38 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Paolo Baratta
Per Samba si, grazie, apri pure un ticket dedicato con tutte le informazioni.

QUindi per il problema di quota, come possiamo fare per riprodurre il problema, se riproducibile?

#6 - 05/08/2017 11:54 AM - Paolo Baratta

- Assignee changed from Paolo Baratta to Christopher R. Gabriel

Per "riprodurre il problema” intendi la creazione di un ambiente simile con il quale potete fare anche voi dei test?
Ciod che avevo fatto & descritto nella prima segnalazione.

Paolo

#7 - 05/08/2017 11:56 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Paolo Baratta

Intendo indicare tutto cio' che serve per fare in modo che il problema si riverifichi, in modo che possa essere analizzato.

#8 - 05/08/2017 12:24 PM - Paolo Baratta

- Assignee changed from Paolo Baratta to Christopher R. Gabriel

| passi che ho seguito sono i seguenti:

1. Collego un nuovo disco virtuale al server.

2. Creo la partizione e lo formatto ext4.

3. Modifico fstab per il montaggio della partizione, utilizzando queste opzioni: /dev/sdb1 /home ext4
defaults,acl,usrjquota=aquota.user,grpjquota=aquota.group,jgfmt=vfsv0 0 2

(vedi https://work.fuss.bz.it/projects/server/wiki/Quota_su_disco).

4. Seguo la guida di cui al punto 3 per, ma eseguendo "quotacheck -vagum" ottengo degli errori.

5. Trovo la soluzione eliminado i due files: /home/aquota.user /home/aquota.group e (ri)lancio quotacheck -vagum.
6. Verifico col comando "epquota /home" e le quote sono attive e sembrano funzionanti.

7. OctoNet mostra il filesystem associato ad /home, ma la scheda "Disk Quotas" non compare.

#9 - 05/10/2017 04:48 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Simone, puoi verificare per favore?

#10 - 05/11/2017 08:02 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Ho fatto un test facendo la configurazione tradizione delle quote, quella con le opzioni usrquota e grpquota in /etc/fstab, descritta nel primo paragrafo
della pagina https://work.fuss.bz.it/projects/server/wiki/Quota_su_disco (pagina che ho aggiornato).

In questo caso, seguendo la procedura illustrata nella pagina (versione aggiornata) la scheda delle quote appare nell'interfaccia di octonet.

Ho poi rifatto la prova usando invece la configurazione di /etc/fstab che sfrutta le funzionalita di journaling delle quote aggiunte con i kernel piu
recenti, ed in quel caso invece la scheda delle quote non appare.
Il problema & senz'altro nella funzione find_quota_fs di /usr/share/octofussd/plugins/quota.py, che esegue una ricerca di usrquota e grpquota in
/etc/fstab, che nel caso della configurazione piu recente non verranno trovati.

Penso si tratti di aggiornare il programma per le nuove opzioni.

#11 - 05/12/2017 11:15 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Paolo Baratta

Ho pubblicato octofussd 8.0.21 che rileva le nuove opzioni per le quote, puoi provare ad aggiornarlo e poi rifare plugin su octonet?

#12 - 05/15/2017 08:43 AM - Paolo Baratta

- Assignee changed from Paolo Baratta to Christopher R. Gabriel

Ho aggiornato i pacchetti:

1. Il plugin "Disk Quotas" & presente

2. Si apre la relativa sezione "List of file systems", dove si trovano i dettagli delle quote relative ad /home

3. In "User & Groups", dopo aver aperto I'edit di un utente, si trova la sezione "Edit quota" nella quale si possono modificare i valori

Fard dei test di funzionamento con un client, ma credo che il ticket relativo al plugin possa considerarsi chiuso.

#13 - 05/15/2017 09:37 AM - Paolo Baratta

Ho fatto un test col client. La "misura” dello spazio occupato e il blocco del sistema causato dal superamento della quota, funzionano.

#14 - 05/15/2017 10:08 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Paolo Baratta

Ok grazie, se €' a posto per te chiudilo pure, non mi sembra di avere altro da fare.

#15 - 05/15/2017 10:08 AM - Christopher R. Gabriel

- Project changed from fuss-server to octonet

#16 - 06/19/2017 09:30 AM - Paolo Baratta

- Status changed from Commenti to Chiuso
